package org.pdfbox.util;

import java.nio.charset.Charset;

import org.pdfbox.pdmodel.font.PDFont;

/**
 * Added encoding support for text extraction.
 * @see PDFont
 * @author dferbas
 *
 */
public class EncodingHolder {
	public static final String DEFAULT_ENCODING = "UTF-8";

	private static ThreadLocal currentEncoding = new ThreadLocal() {
		protected Object initialValue() {
			return Charset.forName(DEFAULT_ENCODING);
		};
	};

	public static Charset getCurrentEncoding() {
		return (Charset) currentEncoding.get();
	}

	public static void setCurrentEncoding(String encoding) {
		currentEncoding.set(Charset.forName(encoding));
	}

	public static void resetCurrentEncoding() {
		setCurrentEncoding(DEFAULT_ENCODING);
	}

}
